Package org.apache.calcite.avatica

# Class MetaImpl.MetaSuperTable

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaSuperTable

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaSuperTable extends Object
Metadata describing a super-table.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`supertableName`
`final String`
`tableCat`
`final String`
`tableName`
`final String`
`tableSchem`

## Constructor Summary

Constructors
Constructor
Description
`MetaSuperTable(String tableCat, String tableSchem, String tableName, String supertableName)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tableCat

public final String tableCat

### tableSchem

public final String tableSchem

### tableName

public final String tableName

### supertableName

public final String supertableName

## Constructor Details

### MetaSuperTable

public MetaSuperTable(String tableCat, String tableSchem, String tableName, String supertableName)